Deploy InternetArchiveBot on the Chinese Wikipedia (zhwiki)
Closed, ResolvedPublic

Shizhao created this task.Apr 26 2017, 2:57 AM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptApr 26 2017, 2:57 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald Transcript
Shizhao updated the task description. (Show Details)Apr 26 2017, 3:10 AM
Cyberpower678 triaged this task as High priority.Apr 26 2017, 11:27 AM
Cyberpower678 moved this task from Unsorted to New feature on the InternetArchiveBot (v1.4) board.

Well this will make my life a whole lot easier. Thanks for approving my bot for me.

@Shizhao I'm going to need your assistance before we can move forward with deployment.

First I need to know what the names of all the citation templates are you guys use, that use URLs and archive URLs.

I need to know the name of your dead link templates that marks a link as dead.

Any paywall or subscription templates?

Any archive templates that link to archives?

I could probably dig for this information myself, but it would be easier to be given this information.

Cyberpower678 added a comment.EditedJun 4 2017, 4:43 PM

Next I need some translations done so the bot can operate in the native language of your wiki.
Here they are:

  • External links modified
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

If you could translate these phrases to your native language, or have translators do it, that would be a big step towards deployment. When translating, make sure not to touch anything inside the single brackets "{}". These are bot keywords. The \n\n are newlines the bot uses. There rest is wiki markup.

zh-hans 供参考:

  • External links modified
    • 外部链接已修改
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nWhen you have finished reviewing my changes, you may follow the instructions on the template below to fix any issues with the URLs.\n\nCheers.
    • 各位维基人:\n\n我刚修改了[[{namespacepage}]]中的{linksrescued}个外部链接,请大家仔细检查[{diff} 我的编辑]。如果您有疑问,或者需要让机器人忽略某个链接甚至整个页面,请访问[[:m:InternetArchiveBot/FAQ|这个FAQ页面]]获取更多信息。我进行了以下修改:\n{modifiedlinks}\n当您检查完成之后,您可能需要按下方模板的指示来修复URL中存在的问题。\n\n祝编安。
  • External links found that need fixing
    • 需要进行修复的外部链接
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, you may follow the instructions on the template below to fix any issues with the URLs mentioned above.\n\n{{sourcecheck|checked=false|needhelp=}}\nThis notice will only be made once for these URLs.\n\nCheers.
    • 各位维基人:\n\n我发现[[{namespacepage}]]中有至少一个外部链接需要引起注意,请大家花点时间来检查一下这些链接,如果有必要的话请修正它们。以下是我发现的问题:\n{modifiedlinks}\n当您修改完毕时,您可能需要按照下方模板的指示来修复上面提到的问题。\n\n{{sourcecheck|checked=false|needhelp=}}\n对于这些链接而言,本次通知是唯一一次通知。\n\n祝编安。
  • Trouble archiving links on the article
    • 存档链接时遇到问题
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
    • 您好,在处理存档过程中至少有一个链接发生了错误。\n下面是遇到错误的链接及其错误原因:\n\n{problematiclinks}\n这是针对这些链接的唯一一次通知,未来将不再尝试存档这些链接。\n\n祝编安。
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
    • {link}已经失效,建议在原始链接中加入{newarchive}。
  • {link} is found to be dead. No archive was found.
    • {link}已经失效,未发现存档。
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
    • {link}标记为失效链接,但是检测发现仍然能够访问,建议移除URL中的失效标记。
  • Added archive {newarchive} to {link}
    • 向{link}中加入存档链接{newarchive}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
    • 把{link}中的存档链接{oldarchive}换成{newarchive}
  • Corrected formatting/usage for {link}
    • 修正{link}的格式与用法
  • Added {{tlx|dead link}} tag to {link}
    • 向{link}加入{{tlx|dead link}}标记
  • Removed dead tag from {link}
    • 移除{link}中的失效链接标记
  • Modified source for {link}
    • 修改{link}的来源
  • {problem} with error {error} (?)
    • {problem},错误{error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
    • 补救{linksrescued}个来源,并将{linkstagged}个来源标记为失效。
  • Notification of errors encountered when attempting to archive links (?)
    • 试图存档时遇到错误的通知
  • Notification of altered sources needing review (?)
    • 需要重新检查修改之后来源的通知

zh-hans 供参考:

  • External links modified
    • 外部链接已修改
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nWhen you have finished reviewing my changes, you may follow the instructions on the template below to fix any issues with the URLs.\n\nCheers.
    • 各位维基人:\n\n我刚修改了[[{namespacepage}]]中的{linksrescued}个外部链接,请大家仔细检查[{diff} 我的编辑]。如果您有疑问,或者需要让机器人忽略某个链接甚至整个页面,请访问[[:m:InternetArchiveBot/FAQ|这个FAQ页面]]获取更多信息。我进行了以下修改:\n{modifiedlinks}\n当您检查完成之后,您可能需要按下方模板的指示来修复URL中存在的问题。\n\n祝编安。
  • External links found that need fixing
    • 需要进行修复的外部链接
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, you may follow the instructions on the template below to fix any issues with the URLs mentioned above.\n\n{{sourcecheck|checked=false|needhelp=}}\nThis notice will only be made once for these URLs.\n\nCheers.
    • 各位维基人:\n\n我发现[[{namespacepage}]]中有至少一个外部链接需要引起注意,请大家花点时间来检查一下这些链接,如果有必要的话请修正它们。以下是我发现的问题:\n{modifiedlinks}\n当您修改完毕时,您可能需要按照下方模板的指示来修复上面提到的问题。\n\n{{sourcecheck|checked=false|needhelp=}}\n对于这些链接而言,本次通知是唯一一次通知。\n\n祝编安。
  • Trouble archiving links on the article
    • 存档链接时遇到问题
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
    • 您好,在处理存档过程中至少有一个链接发生了错误。\n下面是遇到错误的链接及其错误原因:\n\n{problematiclinks}\n这是针对这些链接的唯一一次通知,未来将不再尝试存档这些链接。\n\n祝编安。
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
    • {link}已经失效,建议在原始链接中加入{newarchive}。
  • {link} is found to be dead. No archive was found.
    • {link}已经失效,未发现存档。
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
    • {link}标记为失效链接,但是检测发现仍然能够访问,建议移除URL中的失效标记。
  • Added archive {newarchive} to {link}
    • 向{link}中加入存档链接{newarchive}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
    • 把{link}中的存档链接{oldarchive}换成{newarchive}
  • Corrected formatting/usage for {link}
    • 修正{link}的格式与用法
  • Added {{tlx|dead link}} tag to {link}
    • 向{link}加入{{tlx|dead link}}标记
  • Removed dead tag from {link}
    • 移除{link}中的失效链接标记
  • Modified source for {link}
    • 修改{link}的来源
  • {problem} with error {error} (?)
    • {problem},错误{error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
    • 补救{linksrescued}个来源,并将{linkstagged}个来源标记为失效。
  • Notification of errors encountered when attempting to archive links (?)
    • 试图存档时遇到错误的通知
  • Notification of altered sources needing review (?)
    • 需要重新检查修改之后来源的通知

Wow thanks. That was fast. One thing. I changed the post while you translated it, so the second bullet actually reads, "Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nWhen you have finished reviewing my changes, you may follow the instructions on the template below to fix any issues with the URLs.\n\nCheers." It's a minor change to the text. Sorry about that, and I hope you don't mind.

In the meantime, I'll work on getting IABot deployed on the Chinese Wikipedia.

First I need to know what the names of all the citation templates are you guys use, that use URLs and archive URLs.

  • Template:Bouchet 2005
  • Template:CatLife Tree
  • Template:Citation
  • Template:Cite AV media
  • Template:Citation step free tube map
  • Template:Cite book
  • Template:Cite certification
  • Template:Cite conference
  • Template:Cite GB
  • Template:Cite journal
  • Template:Cite mailing list
  • Template:Cite music release notes
  • Template:Cite news
  • Template:Cite newsgroup
  • Template:Cite pmid
  • Template:Cite press release
  • Template:Cite Sm
  • Template:Cite thesis
  • Template:Cite quick
  • Template:Cite video game
  • Template:Cite web
  • Template:Cite WoRMS
  • Template:Citeseerx
  • Template:CPNI
  • Template:Cite EB1911
  • Template:GR
  • Template:Harvard reference
  • Template:Internetquelle
  • Template:ITIS
  • Template:IUCN
  • Template:IUCN2006
  • Template:IUCN2007
  • Template:IUCN2008
  • Template:IUCN2009
  • Template:IUCN2009.2
  • Template:IUCN2010.3
  • Template:Jörger 2010
  • Template:Lai 2005
  • Template:MathGenealogy
  • Template:NCBI
  • Template:Retrieved
  • Template:Cite simbad
  • Template:TaiBNET
  • Template:US patent application
  • Template:USC
  • Template:Web reference
  • Template:WWF ecoregion
  • Template:Cite Americana
  • Template:Cite Catholic Encyclopedia
  • Template:Cite Earth Impact DB
  • Template:Cite GovTrack
  • Template:Molluscan diets
  • Template:MSW3 Shoshani
  • Template:OEtymD
  • Template:Citation ORR rail usage data
  • Template:Snopes
  • Template:Who's Who

I need to know the name of your dead link templates that marks a link as dead.

  • Template:Dead link

Any paywall or subscription templates?

  • Template:Subscription required
  • Template:Registration required
  • Template:Closed access

Any archive templates that link to archives?

I do not know

I could probably dig for this information myself, but it would be easier to be given this information.

Liuxinyu970226 added a comment.EditedJun 5 2017, 4:50 AM

Any archive templates that link to archives?

I do not know

I don't think we the zhwiki users have enough time on certain talk: namespaces pages, but for discussion pages that under Wikipedia: namespace, here are some possibly used templates (however, it's likely that you only see source codes on VP-sth, as their usages are probably "subst:"ed):

I'm surprised none of these templates have Chinese names. The idea is to have IABot integrate with all url/archive url citation templates.

I'm surprised none of these templates have Chinese names. The idea is to have IABot integrate with all url/archive url citation templates.

some templates have chinese name redirect

I'm surprised none of these templates have Chinese names. The idea is to have IABot integrate with all url/archive url citation templates.

some templates have chinese name redirect

Ah. It follows redirects automatically. More precisely, it loads every template that redirects to a listed templated into active memory and looks for them as well as the originals when processing.

I'm surprised none of these templates have Chinese names. The idea is to have IABot integrate with all url/archive url citation templates.

some templates have chinese name redirect

Well, as there's possible conflicts between zh-hans and zh-hant names we generally don't translate titles of templates/modules (and instead, we redirect those to english names), but usually translate source codes

Cyberpower678 added a comment.EditedJun 6 2017, 5:38 PM

@Liuxinyu970226 and @vjudge404: I'm sorry to do this, but can you retranslate the following two? I noticed there was an error in the text.

  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.

Any archive templates that link to archives?

I do not know

I don't think we the zhwiki users have enough time on certain talk: namespaces pages, but for discussion pages that under Wikipedia: namespace, here are some possibly used templates (however, it's likely that you only see source codes on VP-sth, as their usages are probably "subst:"ed):

I meant an archive template that are used in references to point to an archive snapshot of a URL. :p

I found the archives.

Bot needs the bot flag. It cannot run when being blocked by the captchas.

bot flag and confirmed user flag has been granted on zhwiki.

bot flag and confirmed user flag has been granted on zhwiki.

Initial tests are successful. I just need the following 2 items translated, and then I can start the bot.

  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.

bot flag and confirmed user flag has been granted on zhwiki.

Initial tests are successful. I just need the following 2 items translated, and then I can start the bot.

  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.

I translated these texts on zhwiki: https://zh.wikipedia.org/wiki/User:InternetArchiveBot/Dead-links.js , and fixed some other minor problems, plese check it.

Perfect. I'll start the bot up.

@Shizhao Feel free to check out https://tools.wmflabs.org/iabot?wiki=zhwiki

Also, you can link a useful tool into the page history via MediaWiki:Histlegend.

Enwiki links to it with "* [//tools.wmflabs.org/iabot/index.php?page=runbotsingle&pagesearch={{FULLPAGENAMEE}} Fix dead links]"

See https://en.wikipedia.org/w/index.php?title=MediaWiki:Histlegend&action=edit for an example.

Cyberpower678 closed this task as Resolved.Jun 7 2017, 3:04 AM